unit Unit10;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, StdCtrls, Buttons, jpeg, ExtCtrls, DBCtrls;

type
  TForm10 = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    Image1: TImage;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form10: TForm10;

implementation

uses Unit3, Unit2;

{$R *.dfm}

procedure TForm10.BitBtn1Click(Sender: TObject);
begin
datamodule3.ADOQuery7.Close;
datamodule3.ADOQuery7.open;
form2.RvProject1.Open;
form2.RvProject1.SetParam('opl', form2.Edit1.Text);
form2.RvProject1.Close;
form2.RvProject1.Execute;
end;

procedure TForm10.BitBtn2Click(Sender: TObject);
begin
form10.Close
end;

procedure TForm10.FormShow(Sender: TObject);
begin
//form10.DBNavigator1.BtnClick(nbrefresh);
datamodule3.ADOQuery8.close;
datamodule3.ADOQuery8.open;
end;

end.
